
QGIS Application - Bug report #4558

request and letter with accent

2011-11-22 01:49 AM - Gilles Turgeon

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 14471

Description

The request constructor (Properties, General) in 1.7.1 don’t recognize characters with accents in data field of SQL request

(“DESCRIPTIO”=’milieu boisé’ by exemple). It return 0 object same if objects of this type are presents in data. 1.5 and 1.6 were working

fine.  I don't know for 1.7.0.  The bug is present in 1.7.1 and 1.7.2.

Related issues:

Duplicated by QGIS Application - Bug report # 4763: Queries are not working i... Closed 2012-01-08

Associated revisions

Revision 2d0edcd7 - 2011-12-27 05:03 PM - Jürgen Fischer

ogr provider:

- support for OLCStringsAsUTF8 (fixes #4558)

- remove quotation on "ORDER BY" (produces a syntax error otherwise)

- support for null values in uniqueValues/minimumValue/maximumValue

Revision 397e3b46 - 2011-12-28 11:36 AM - Jürgen Fischer

ogr provider:

- support for OLCStringsAsUTF8 (fixes #4558)

- remove quotation on "ORDER BY" (produces a syntax error otherwise)

- support for null values in uniqueValues/minimumValue/maximumValue

History

#1 - 2011-12-09 08:28 AM - Paolo Cavallini

- Category set to Data Provider

#2 - 2011-12-16 02:09 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#3 - 2011-12-23 06:08 PM - Jürgen Fischer

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Status changed from Open to Feedback

which version of GDAL are you using?  Should work with GDAL >=1.8
#4 - 2011-12-26 11:08 AM - Gilles Turgeon

I am using GDAL 1.8.1 on QGIS 1.7.3, Windows version. The bug is present.

The bug was present in 

-  GDAL 1.8.1 on QGIS 1.7.2 

  -  GDAL ??? ib QGIS 1.7.1

The bug WAS NOT present in :

- GDAL ? QGIS 1.6

   - GDAL ? QGIS 1.5

Not sure for the precedent versions.  I was just evaluating QGIS at this time.

#5 - 2011-12-26 11:12 AM - Alexander Bruy

Seems duplicate #4227

#6 - 2011-12-26 11:49 AM - Gilles Turgeon

It's seems.

I follow the suggestion of 4227 (load data set and save it as UTF-8) and the request now select data with accent in the data field.

#7 - 2011-12-27 08:04 AM - Jürgen Fischer

- % Done changed from 0 to 100

- Status changed from Feedback to Closed

Fixed in changeset commit:"2d0edcd7a2c5697859a4448e4a306b0dc99cbf94".
